| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IFaceOcclusionEstimator Struct Referenceabstract
OcclusionEstimatorGroup

FaceOcclusion estimator interface. More...

`#include <IFaceOcclusionEstimator.h>`

Inheritance diagram for fsdk::IFaceOcclusionEstimator:

## Public Member Functions
virtual ResultValue< FSDKError, FaceOcclusionEstimation > | estimate (const Image &warp, const Landmarks5 &landmarks5) const noexcept=0
| Checks whether persons face is occluded or not. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< const Landmarks5 > landmarks, Span< FaceOcclusionEstimation > faceOcclusionEstimations) const noexcept=0
| This structure is used to check for occlusions in various parts of the face (such as the lower face, nose, eyes, or forehead) across multiple warped images in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< const Landmarks5 > landmarks, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

FaceOcclusion estimator interface.

Note
  This estimator is designed to work with a person face image;

## Member Function Documentation

virtual ResultValue<FSDKError, FaceOcclusionEstimation> fsdk::IFaceOcclusionEstimator::estimate | ( | const Image & | warp,
|  | const Landmarks5 & | landmarks5
| ) |  | const
| pure virtual noexcept

Checks whether persons face is occluded or not.

Parameters

  [in] | warp | image with warped face;

See Also
  IWarper for details.

Parameters

  [in] | Landmarks | warped Landmarks.

Returns
  ResultValue with error code and output enum value inside.

See Also
  FaceOcclusionEstimation, IWarper, Landmarks5, Image, ResultValue and FSDKError for details.

Note
  warp format must be R8G8B8,

See Also
  Format.

virtual Result<FSDKError> fsdk::IFaceOcclusionEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< const Landmarks5 > | landmarks,
|  | Span< FaceOcclusionEstimation > | faceOcclusionEstimations
| ) |  | const
| pure virtual noexcept

This structure is used to check for occlusions in various parts of the face (such as the lower face, nose, eyes, or forehead) across multiple warped images in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | landmarks | span of warped landmarks.
  [out] | faceOcclusionEstimations | output FaceOcclusionEstimation span.

Returns
  Result with error code.

See Also
  Span, FaceOcclusionEstimation, IWarper, Image, Landmarks5, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::IFaceOcclusionEstimator::validate | ( | Span< const Image > | warps,
|  | Span< const Landmarks5 > | landmarks,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [in] | landmarks | span of landmarks.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See Also
  Span, IWarper, Image, Landmarks5, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See Also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IFaceOcclusionEstimator.h